import { jsx } from "react/jsx-runtime";
import { TokenBMEX as TokenBMEX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBMEX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BMEX", "data-name": "TokenBMEX", ...props, children: /* @__PURE__ */ jsx(TokenBMEX$1, { variant }) });
  }
);
TokenBMEX.displayName = "TokenBMEX";
Object.assign(TokenBMEX, { isGdsIcon: true });
export {
  TokenBMEX
};
